Subject: Persistence\Generic\AbstractBackend does not cascade persist correctly
Description

When using the generic persistence some updates are not correctly persisted. One example is a change to the name of an account
holder in the Blog (the username itself is changed correctly).
This at least occurred when using the PDO backend.

Associated revisions
Revision a149b642 - 2011-09-01 18:00 - Karsten Dambekalns

[BUGFIX] Generic abstract backend does not cascade persist

This changes makes checkPropertyValue() return the value it found, as
expected in collectProperties() - both methods in AbstractBackend.

Fixes: #29392
Change-Id: I4cafd98ef456c46eed6ae3933238cb7e7e4e345d

History
#1 - 2011-09-01 11:03 - Karsten Dambekalns
- Subject changed from Generic PDO backend does not cascade persist operations correctly to Persistence\Generic\AbstractBackend does not 
cascade persist correctly

#2 - 2011-09-01 18:01 - Mr. Hudson
- Status changed from Accepted to Under Review

Patch set 1 of change I4cafd98ef456c46eed6ae3933238cb7e7e4e345d has been pushed to the review server.
It is available at http://review.typo3.org/4728

#3 - 2011-09-02 12:06 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 50 to 100

Applied in changeset commit:a149b6426d4519cd246706518498ce7286b69809.
